Bug 1928028 - kuryr-cni binds to wrong interface on machine with two interfaces
Summary: kuryr-cni binds to wrong interface on machine with two interfaces
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Networking
Version: 4.6.z
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: ---
: 4.7.z
Assignee: Michał Dulko
QA Contact: GenadiC
URL:
Whiteboard:
Depends On: 1921184
Blocks: 1942862
TreeView+ depends on / blocked
 
Reported: 2021-02-12 07:46 UTC by OpenShift BugZilla Robot
Modified: 2021-03-25 08:41 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-03-25 01:53:01 UTC
Target Upstream Version:


Attachments (Terms of Use)
NP test results with the fix (505.05 KB, application/gzip)
2021-03-16 09:38 UTC, rlobillo
no flags Details
conformance test results with the fix (558.95 KB, application/gzip)
2021-03-16 09:38 UTC, rlobillo
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Github openshift cluster-network-operator pull 978 0 None open [release-4.7] Bug 1928028: Kuryr: Let Kuryr autodetect primary CNI interface 2021-02-12 07:47:45 UTC
Red Hat Product Errata RHBA-2021:0821 0 None None None 2021-03-25 01:53:16 UTC

Comment 3 rlobillo 2021-03-16 09:36:54 UTC
Verified on 4.7.0-0.nightly-2021-03-14-223051 over OSP16.1 (RHOS-16.1-RHEL-8-20201214.n.3) with OVN-Octavia.

link_iface attribute is not harcoded on kuryr.conf anymore on kuryr-cni pod running on the worker.

$ oc debug nodes/ostest-9pjjw-worker-0-79bvs
Starting pod/ostest-9pjjw-worker-0-79bvs-debug ...
To use host binaries, run `chroot /host`
Pod IP: 10.196.3.222
If you don't see a command prompt, try pressing enter.
sh-4.4# chroot /host
sh-4.4# sudo crictl ps -a | grep kuryr-cni
3f90884a33a4f       207cb2ed64722382e211bf57110721f1217b03befbaf02d06104f054caea048d                                                             10 hours ago        Running             kuryr-cni                        2                   d8f8e2b8761fa
54e18b2d6ba97       207cb2ed64722382e211bf57110721f1217b03befbaf02d06104f054caea048d                                                             10 hours ago        Exited              kuryr-cni                        1                   d8f8e2b8761fa
sh-4.4# sudo crictl exec -it 3f90884a33a4f cat /etc/kuryr/kuryr.conf | grep link_iface
sh-4.4# 

NP tests and Conformance tests passed successfully. Logs attached.

Comment 4 rlobillo 2021-03-16 09:38:12 UTC
Created attachment 1763589 [details]
NP test results with the fix

Comment 5 rlobillo 2021-03-16 09:38:44 UTC
Created attachment 1763590 [details]
conformance test results with the fix

Comment 7 errata-xmlrpc 2021-03-25 01:53:01 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.7.3 bug fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2021:0821


Note You need to log in before you can comment on or make changes to this bug.